Bug 138149 - Need to switch to timestamp instead of date
Need to switch to timestamp instead of date
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D (Show other bugs)
RHN Devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Red Hat Satellite QA List
Depends On:
Blocks: rhnMilestone1
  Show dependency treegraph
Reported: 2004-11-04 20:12 EST by Mike McCune
Modified: 2007-04-18 13:14 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-03 13:11:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2004-11-04 20:12:54 EST
We need to switch our Date fields over to the hibernate timestamp type:

-  <property name="created" column="created" type="date" />
-  <property name="modified" column="modified" type="date" />

+  <property name="created" column="created" type="timestamp"
     insert="false" update="false"/>
+  <property name="modified" column="modified" type="timestamp"
     insert="false" update="false"/>

Using Date results in a loss of the "time" field and you just get the
Date.  This causes all our Dates to come back with 00:00:00 as the time.

I'll go through the mapping files and fix this.  Just a heads up.


Note You need to log in before you can comment on or make changes to this bug.